﻿/* ==============================================================================
 * 功能描述：RegexPatten  
 * 创 建 者：Garrett
 * 创建日期：2019/5/29 14:12:17
 * ==============================================================================*/

namespace ServiceRevitLib.Common
{
    /// <summary>
    /// RegexPatten
    /// </summary>
    class RegexConstPattern
    {
        public const string IsSpaceId = @"^Si\S*";
        public const string IsEquipId = @"^Eq\S*";
        public const string IsEquipPartId = @"^Ec\S*";
        public const string IsBeaconId = @"^VOBc\S*";
        

        public const string IsEquip = @"^[A-Z]{4}\s*-\s*\S*";
        public const string IsEquipPart = @"^[A-Z]{6}\s*-\s*\S*";
        public const string IsBeacon = @"^Beacon$";

        public const string IsMBILevel = @"^([BF][1-9]\d*M?\d?|RFM?\d?)$";
        public const string IsMBIView = @"^([BF][1-9]\d*M?\d?|RFM?\d?)-saga$";
        public const string IsSandwich = @"^([BF][1-9]\d*M\d?|RFM\d?)$";

        public const string IsRF = @"^RF(-saga)?$";
        public const string IsRFM = @"^RFM\d*$";
        public const string IsOnground = @"^F\s*";
        public const string IsUnderground = @"^B\s*";

        public const string IsPhoneNumber = @"^1[3|4|5|7|8][0-9]\d{8}$";

    }
}
