﻿/*-------------------------------------------------------------------------
 * 功能描述：TypeDefinitonAttribute
 * 作者：xulisong
 * 创建时间： 2019/6/12 11:26:04
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using JBIM.Definition;

namespace JBIM.Common
{
    [AttributeUsage(AttributeTargets.Class)]
    public class TypeDefinitonAttribute:Attribute
    {
        /*
         * 由于可能扩展相关TypeDefiniton的生成方式，所以以方法形式返回需要值
         */
        private TypeDefinition m_TypeDefintion;
        public TypeDefinitonAttribute(TypeDefinition typeDefinition)
        {
            m_TypeDefintion = typeDefinition;
        }

        public virtual string GetTypeDefiniton()
        {
            return TypeDefinitonUtil.GetTypeDefiniton(m_TypeDefintion);
        }
    }
}
