﻿/*-------------------------------------------------------------------------
 * 功能描述：BoundarySegment
 * 作者：xulisong
 * 创建时间： 2019/6/12 11:51:21
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using JBIM.Common;
using JBIM.Definition;

namespace JBIM.Component
{
    [TypeDefiniton(TypeDefinition.BoundarySegment)]
    public class BoundarySegment:BimObject
    {
        public BoundarySegment()
        {
            Curve = new List<XYZ>();
        }
        /// <summary>
        /// 参照元素
        /// </summary>
        public BimId Reference { get; set; }
        /// <summary>
        /// 关联线
        /// </summary>
        public List<XYZ> Curve { get; private set; }
    }
}
