﻿/*-------------------------------------------------------------------------
 * 功能描述：Duct
 * 作者：xulisong
 * 创建时间： 2019/6/12 11:10:06
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using JBIM.Common;
using JBIM.Definition;

namespace JBIM.Component
{
    /// <summary>
    /// 风管类型
    /// </summary>
    [TypeDefiniton(TypeDefinition.Duct)]
    public class Duct:VisibleComponentObject
    {
        public Duct()
        {
            ConnectedIds = new List<BimId>();
        }
        ///// <summary>
        ///// connector关联的系统实例
        ///// </summary>
        //public BimId MepSystem { get; set; }
        ///// <summary>
        ///// 关联系统类型名称
        ///// </summary>
        public string MepSystemTypeName { get; set; }
        /// <summary>
        /// Connector连接的connectorIds
        /// </summary>
        public List<BimId> ConnectedIds { get; private set; }
        /// <summary>
        /// 风管形状
        /// </summary>
        public DuctShape Shape { get; set; }
        /// <summary>
        /// 直径
        /// </summary>
        public double Diameter { get; set; }
        /// <summary>
        /// 宽度
        /// </summary>
        public double Width { get; set; }
        /// <summary>
        /// 高度
        /// </summary>
        public double Height { get; set; }
    }
}
