﻿/*-------------------------------------------------------------------------
 * 功能描述：VisibleComponentObject
 * 作者：xulisong
 * 创建时间： 2019/6/12 10:44:44
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using JBIM.Definition;

namespace JBIM.Component
{
    /// <summary>
    /// 可见构件
    /// </summary>
    public class VisibleComponentObject:ComponentObject
    {
        public VisibleComponentObject()
        {
            //Location = new List<XYZ>();
            OutLine = new List<Polygon>();
        }
        /// <summary>
        /// 定位信息
        /// </summary>
        public GeometryLocation Location { get;  set; }
        /// <summary>
        /// 轮廓信息
        /// </summary>
        public List<Polygon> OutLine { get; private set; }

        /// <summary>
        /// 族名称
        /// </summary>
        public string FamilyName { get; set; }
        /// <summary>
        /// 族类型
        /// </summary>
        public string FamilySymbol { get; set; }
    }
}
