﻿/* ==============================================================================
 * 功能描述：SagaCheckResult  
 * 创 建 者：Garrett
 * 创建日期：2019/5/31 16:20:46
 * ==============================================================================*/

using Newtonsoft.Json;
using ServiceRevitLib.Mode;

namespace ServiceRevitLib.DataCheck.Mode
{
    /// <summary>
    /// SagaCheckResult
    /// </summary>
    class EquipInSpaceCheckResult : ResultBase
    {
        /// <summary>
        /// id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 族名称
        /// </summary>
        public string FamilyName { get; set; }
        /// <summary>
        /// 所在空间id
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore)]
        public string SpaceId { get; set; }

    }
}
