﻿/* ==============================================================================
 * 功能描述：
 * 创 建 者：Garrett
 * 创建日期：2019/5/31 16:24:04
 * ==============================================================================*/

using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace ServiceRevitLib.Mode
{
    /// <summary>
    /// CheckResultBase
    /// </summary>
    public class ResultBase
    {
        public ResultBase()
        {
            Result = ResultState.Success;
        }
        /// <summary>
        /// 成功或失败结果描述
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore)]
        public string ResultMsg { get; set; }

        /// <summary>
        /// 结果
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public ResultState Result { get; set; }


    }
}
