﻿/*-------------------------------------------------------------------------
 * 功能描述：ComponentObject
 * 作者：xulisong
 * 创建时间： 2019/6/12 10:41:01
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JBIM.Component
{
    /// <summary>
    /// 构件对象
    /// </summary>
    public class ComponentObject:BimObject
    {
        /// <summary>
        /// 数据来源Id
        /// </summary>
        public string SourceId { get; set; }
        /// <summary>
        /// 构件名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 构件关联类型Id
        /// </summary>
        public BimId TypeId { get; set; }
        /// <summary>
        /// 从模型中拾取的参数
        /// </summary>
        public List<Parameter> Parameters { get; set; }
    }
}
