﻿/* ==============================================================================
 * 功能描述：ParameterDefinition  
 * 创 建 者：Garrett
 * 创建日期：2019/6/22 13:03:46
 * ==============================================================================*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JBIM.Component
{
    /// <summary>
    /// ParameterDefinition
    /// </summary>
    public class ParameterDefinition
    {
        public string Id { get; set; }
        public string Name { get; set; }
        /// <summary>
        /// 参数类型：Test,Area,Number,etc
        /// </summary>
        public ParameterType ParameterType { get; set; }

        public bool Visible { get; set; }
       
    }

    public enum ParameterType
    {
        Invalid=-1,
        Text=0,
        Integer,
        Number,
        Length,
        Area,
        Volume,
        Angle
    }
}
