﻿/* ==============================================================================
 * 功能描述：MBIBuiltInParameterName  
 * 创 建 者：Garrett
 * 创建日期：2019/4/18 11:38:54
 * ==============================================================================*/

namespace RevitToJBim.MBI
{
    /// <summary>
    /// MBIBuiltInParameterName
    /// </summary>
    public class MBIBuiltInParameterName
    {
        /// <summary>
        /// 设备本地编码
        /// </summary>
        public readonly static string EquipLocalID = "设备本地编码";
        /// <summary>
        /// 设备本地名称
        /// </summary>
        public readonly static string EquipLocalName = "设备本地名称";

        /// <summary>
        /// 资产ID
        /// </summary>
        public readonly static string PropertyID = "PropertyID";

        /// <summary>
        /// 空间名称
        /// </summary>
        public readonly static string SpaceName = "名称";

        /// <summary>
        /// 空间编号
        /// </summary>
        public readonly static string SpaceNumber = "编号";

        /// <summary>
        /// 管道-注释
        /// </summary>
        public readonly static string MEPCurveComments = "注释";


        /// <summary>
        /// 管道-标记
        /// </summary>
        public readonly static string MEPCurveNumber = "标记";
    }
}
