﻿/*-------------------------------------------------------------------------
 * 功能描述：ElementRelationShip
 * 作者：xulisong
 * 创建时间： 2019/6/18 14:57:08
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using JBIM.Common;
using JBIM.Definition;

namespace RevitToJBim.ParseData
{
    public class ElementRelationShip
    {
        public ElementRelationShip()
        {
            IsProperty = true;
            RelatingObjectIsBimId = false;
        }
        public bool RelatingObjectIsBimId { get; set; }
        /// <summary>
        /// 主体对象
        /// </summary>
        public string RelatingObject { get; set; }
        /// <summary>
        /// 标志关系是否由属性定义
        /// </summary>
        public bool IsProperty { get;  set; }
        public void SetPropertyName(string propertyName)
        {
            PropertyName = propertyName;
        }
        public void SetElementType(TypeDefinition type)
        {
            PropertyName = type.GetDescription();
        }
        public string PropertyName { get; private set; }
    }
}
